/*------------------------------------------------------------------
Project:  ComingSoon
Version:
Last change:
Assigned to:  Bach Le
Primary use:
-------------------------------------------------------------------*/
/*//////////////////////////////////////////////////////////////////
[ S-Text 0 - 15 ]*/

/*---------------------------------------------*/
.s2-txt1 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 15px;
  line-height: 1;
  color: #01474E;
  text-transform: uppercase;
}

.s2-txt2 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 15px;
  line-height: 1.4;
  color: #F28705;
}

.s2-txt3 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 15px;
  line-height: 1.4;
  color: #fff;
  text-transform: uppercase;
}



/*//////////////////////////////////////////////////////////////////
[ M-Text 16 - 25 ]*/

/*---------------------------------------------*/
.m2-txt1 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 25px;
  line-height: 1.2;
  color: #fff;
}

.m2-txt2 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 25px;
  line-height: 1;
  color: #fff;
}


/*//////////////////////////////////////////////////////////////////
[ L-Text >= 26 ]*/
.l1-txt1 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 50px;
  line-height: 1.1;
  color: #fff;
  text-transform: uppercase;
}

/*---------------------------------------------*/
.l2-txt1 {
  font-family: "Poppins", Arial, sans-serif;
  font-size: 40px;
  line-height: 1;
  color: #000;
}


/*==================================================================
   SHAPE SHAPE SHAPE SHAPE SHAPE SHAPE SHAPE SHAPE SHAPE SHAPE SHAPE
==================================================================*/
/*//////////////////////////////////////////////////////////////////
[ Size ]*/
.size1 {
  width: 100%;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 15px;
  padding-bottom: 15px;
}

.size2 {
  width: 100px;
  height: 100px;
  margin-left: 15px;
  margin-right: 15px;
  margin-bottom: 20px;
  background-color: #fff
}

.size3 {
  min-width: 160px;
  height: 70px;
}

.p-b-33 {padding-bottom: 33px;}

.p-b-9 {padding-bottom: 2px;}

/*//////////////////////////////////////////////////////////////////
[ Border ]*/
.bor1 {
  border: 1px solid rgba(255,255,255,0.3);
  border-radius: 50%;
}

/*---------------------------------------------*/
.overlay1 {
  position: relative;
  z-index: 1;
}
.overlay1::before {
  content: "";
  display: block;
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0,0,0,0.8);
}

/*---------------------------------------------*/
/*//////////////////////////////////////////////////////////////////
[ POSITION ]*/

/*------------------------------------------------------------------
[ Display ]*/
.dis-none {display: none;}
.dis-block {display: block;}
.dis-inline {display: inline;}
.dis-inline-block {display: inline-block;}

.flex-w,
.flex-l,
.flex-r,
.flex-c,
.flex-sa,
.flex-sb,
.flex-t,
.flex-b,
.flex-m,
.flex-str,
.flex-c-m,
.flex-c-t,
.flex-c-b,
.flex-c-str,
.flex-l-m,
.flex-r-m,
.flex-sa-m,
.flex-sb-m,
.flex-col-l,
.flex-col-r,
.flex-col-c,
.flex-col-str,
.flex-col-t,
.flex-col-b,
.flex-col-m,
.flex-col-sb,
.flex-col-sa,
.flex-col-c-m,
.flex-col-l-m,
.flex-col-r-m,
.flex-col-str-m,
.flex-col-c-t,
.flex-col-c-b,
.flex-col-c-sb,
.flex-col-c-sa,
.flex-row,
.flex-row-rev,
.flex-col,
.flex-col-rev,
.dis-flex {
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
}

/*------------------------------------------------------------------
[ Position ]*/
.pos-relative {position: relative;}
.pos-absolute {position: absolute;}
.pos-fixed {position: fixed;}

/*------------------------------------------------------------------
[ Float ]*/
.float-l {float: left;}
.float-r {float: right;}


/*------------------------------------------------------------------
[ Top Bottom Left Right ]*/
.top-0 {top: 0;}
.bottom-0 {bottom: 0;}
.left-0 {left: 0;}
.right-0 {right: 0;}

.top-auto {top: auto;}
.bottom-auto {bottom: auto;}
.left-auto {left: auto;}
.right-auto {right: auto;}


/*------------------------------------------------------------------
[ Flex ]*/
/* ------------------------------------ */
.flex-w {
	-webkit-flex-wrap: wrap;
	-moz-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	-o-flex-wrap: wrap;
	flex-wrap: wrap;
}

/* ------------------------------------ */
.flex-l {
	justify-content: flex-start;
}

.flex-r {
	justify-content: flex-end;
}

.flex-c {
	justify-content: center;
}

.flex-sa {
	justify-content: space-around;
}

.flex-sb {
	justify-content: space-between;
}

/* ------------------------------------ */
.flex-t {
	-ms-align-items: flex-start;
	align-items: flex-start;
}

.flex-b {
	-ms-align-items: flex-end;
	align-items: flex-end;
}

.flex-m {
	-ms-align-items: center;
	align-items: center;
}

.flex-str {
	-ms-align-items: stretch;
	align-items: stretch;
}


/* ------------------------------------ */
.flex-c-m {
	justify-content: center;
	-ms-align-items: center;
	align-items: center;
}

.flex-c-t {
	justify-content: center;
	-ms-align-items: flex-start;
	align-items: flex-start;
}

.flex-c-b {
	justify-content: center;
	-ms-align-items: flex-end;
	align-items: flex-end;
}

.flex-c-str {
	justify-content: center;
	-ms-align-items: stretch;
	align-items: stretch;
}

.flex-l-m {
	justify-content: flex-start;
	-ms-align-items: center;
	align-items: center;
}

.flex-r-m {
	justify-content: flex-end;
	-ms-align-items: center;
	align-items: center;
}

.flex-sa-m {
	justify-content: space-around;
	-ms-align-items: center;
	align-items: center;
}

.flex-sb-m {
	justify-content: space-between;
	-ms-align-items: center;
	align-items: center;
}

/* ------------------------------------ */
.flex-col-l {
	-ms-align-items: flex-start;
	align-items: flex-start;
}

.flex-col-r {
	-ms-align-items: flex-end;
	align-items: flex-end;
}

.flex-col-c {
	-ms-align-items: center;
	align-items: center;
}

.flex-col-str {
	-ms-align-items: stretch;
	align-items: stretch;
}

/*---------------------------------------------*/
.flex-col-t {
	justify-content: flex-start;
}

.flex-col-b {
	justify-content: flex-end;
}

.flex-col-m {
	justify-content: center;
}

.flex-col-sb {
	justify-content: space-between;
}

.flex-col-sa {
	justify-content: space-around;
}

/*---------------------------------------------*/
.flex-col-c-m {
	-ms-align-items: center;
	align-items: center;
	justify-content: center;
}

.flex-col-l-m {
	-ms-align-items: flex-start;
	align-items: flex-start;
	justify-content: center;
}

.flex-col-r-m {
	-ms-align-items: flex-end;
	align-items: flex-end;
	justify-content: center;
}

.flex-col-str-m {
	-ms-align-items: stretch;
	align-items: stretch;
	justify-content: center;
}


.flex-col-c-t {
	justify-content: flex-start;
	-ms-align-items: center;
	align-items: center;
}

.flex-col-c-b {
	justify-content: flex-end;
	-ms-align-items: center;
	align-items: center;
}

.flex-col-c-sb {
	justify-content: space-between;
	-ms-align-items: center;
	align-items: center;
}

.flex-col-c-sa {
	justify-content: space-around;
	-ms-align-items: center;
	align-items: center;
}


/* ------------------------------------ */
.flex-row {
	-webkit-flex-direction: row;
	-moz-flex-direction: row;
	-ms-flex-direction: row;
	-o-flex-direction: row;
	flex-direction: row;
}

.flex-row-rev {
	-webkit-flex-direction: row-reverse;
	-moz-flex-direction: row-reverse;
	-ms-flex-direction: row-reverse;
	-o-flex-direction: row-reverse;
	flex-direction: row-reverse;
}

.flex-col-l,
.flex-col-r,
.flex-col-c,
.flex-col-str,
.flex-col-t,
.flex-col-b,
.flex-col-m,
.flex-col-sb,
.flex-col-sa,
.flex-col-c-m,
.flex-col-l-m,
.flex-col-r-m,
.flex-col-str-m,
.flex-col-c-t,
.flex-col-c-b,
.flex-col-c-sb,
.flex-col-c-sa,
.flex-col {
	-webkit-flex-direction: column;
	-moz-flex-direction: column;
	-ms-flex-direction: column;
	-o-flex-direction: column;
	flex-direction: column;
}

.flex-col-rev {
	-webkit-flex-direction: column-reverse;
	-moz-flex-direction: column-reverse;
	-ms-flex-direction: column-reverse;
	-o-flex-direction: column-reverse;
	flex-direction: column-reverse;
}


/*------------------------------------------------------------------
[ Absolute ]*/
.ab-c-m {
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
  	-moz-transform: translate(-50%, -50%);
  	-ms-transform: translate(-50%, -50%);
  	-o-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.ab-c-t {
	position: absolute;
	top: 0px;
	left: 50%;
	-webkit-transform: translateX(-50%);
  	-moz-transform: translateX(-50%);
  	-ms-transform: translateX(-50%);
  	-o-transform: translateX(-50%);
	transform: translateX(-50%);
}

.ab-c-b {
	position: absolute;
	bottom: 0px;
	left: 50%;
	-webkit-transform: translateX(-50%);
  	-moz-transform: translateX(-50%);
  	-ms-transform: translateX(-50%);
  	-o-transform: translateX(-50%);
	transform: translateX(-50%);
}

.ab-l-m {
	position: absolute;
	left: 0px;
	top: 50%;
	-webkit-transform: translateY(-50%);
  	-moz-transform: translateY(-50%);
  	-ms-transform: translateY(-50%);
  	-o-transform: translateY(-50%);
	transform: translateY(-50%);
}

.ab-r-m {
	position: absolute;
	right: 0px;
	top: 50%;
	-webkit-transform: translateY(-50%);
  	-moz-transform: translateY(-50%);
  	-ms-transform: translateY(-50%);
  	-o-transform: translateY(-50%);
	transform: translateY(-50%);
}

.ab-t-l {
	position: absolute;
	left: 0px;
	top: 0px;
}

.ab-t-r {
	position: absolute;
	right: 0px;
	top: 0px;
}

.ab-b-l {
	position: absolute;
	left: 0px;
	bottom: 0px;
}

.ab-b-r {
	position: absolute;
	right: 0px;
	bottom: 0px;
}



/*==================================================================
  RESPONSIVE RESPONSIVE RESPONSIVE RESPONSIVE RESPONSIVE RESPONSIVE
==================================================================*/


/*//////////////////////////////////////////////////////////////////
[ XL ]*/
@media (max-width: 1200px) {
  .m-0-xl {margin: 0;}
  .m-lr-0-xl {margin-left: 0; margin-right: 0;}
  .m-lr-15-xl {margin-left: 15px; margin-right: 15px;}
  .m-l-0-xl {margin-left: 0;}
  .m-r-0-xl {margin-right: 0;}
  .m-l-15-xl {margin-left: 15px;}
  .m-r-15-xl {margin-right: 15px;}

  .p-0-xl {padding: 0;}
  .p-lr-0-xl {padding-left: 0; padding-right: 0;}
  .p-lr-15-xl {padding-left: 15px; padding-right: 15px;}
  .p-l-0-xl {padding-left: 0;}
  .p-r-0-xl {padding-right: 0;}
  .p-l-15-xl {padding-left: 15px;}
  .p-r-15-xl {padding-right: 15px;}

  .w-full-xl {width: 100%;}

  /*---------------------------------------------*/

}


/*//////////////////////////////////////////////////////////////////
[ LG ]*/
@media (max-width: 992px) {
  .m-0-lg {margin: 0;}
  .m-lr-0-lg {margin-left: 0; margin-right: 0;}
  .m-lr-15-lg {margin-left: 15px; margin-right: 15px;}
  .m-l-0-lg {margin-left: 0;}
  .m-r-0-lg {margin-right: 0;}
  .m-l-15-lg {margin-left: 15px;}
  .m-r-15-lg {margin-right: 15px;}

  .p-0-lg {padding: 0;}
  .p-lr-0-lg {padding-left: 0; padding-right: 0;}
  .p-lr-15-lg {padding-left: 15px; padding-right: 15px;}
  .p-l-0-lg {padding-left: 0;}
  .p-r-0-lg{padding-right: 0;}
  .p-l-15-lg {padding-left: 15px;}
  .p-r-15-lg {padding-right: 15px;}

  .w-full-lg {width: 100%;}

  /*---------------------------------------------*/


}


/*//////////////////////////////////////////////////////////////////
[ MD ]*/
@media (max-width: 768px) {
  .m-0-md {margin: 0;}
  .m-lr-0-md {margin-left: 0; margin-right: 0;}
  .m-lr-15-md {margin-left: 15px; margin-right: 15px;}
  .m-l-0-md {margin-left: 0;}
  .m-r-0-md {margin-right: 0;}
  .m-l-15-md {margin-left: 15px;}
  .m-r-15-md {margin-right: 15px;}

  .p-0-md {padding: 0;}
  .p-lr-0-md {padding-left: 0; padding-right: 0;}
  .p-lr-15-md {padding-left: 15px; padding-right: 15px;}
  .p-l-0-md {padding-left: 0;}
  .p-r-0-md{padding-right: 0;}
  .p-l-15-md {padding-left: 15px;}
  .p-r-15-md {padding-right: 15px;}

  .w-full-md {width: 100%;}
  /*---------------------------------------------*/

}


/*//////////////////////////////////////////////////////////////////
[ SM ]*/
@media (max-width: 576px) {
  .m-0-sm {margin: 0;}
  .m-lr-0-sm {margin-left: 0; margin-right: 0;}
  .m-lr-15-sm {margin-left: 15px; margin-right: 15px;}
  .m-l-0-sm {margin-left: 0;}
  .m-r-0-sm {margin-right: 0;}
  .m-l-15-sm {margin-left: 15px;}
  .m-r-15-sm {margin-right: 15px;}

  .p-0-sm {padding: 0;}
  .p-lr-0-sm {padding-left: 0; padding-right: 0;}
  .p-lr-15-sm {padding-left: 15px; padding-right: 15px;}
  .p-l-0-sm {padding-left: 0;}
  .p-r-0-sm{padding-right: 0;}
  .p-l-15-sm {padding-left: 15px;}
  .p-r-15-sm {padding-right: 15px;}

  .w-full-sm {width: 100%;}
  /*---------------------------------------------*/


}


/*//////////////////////////////////////////////////////////////////
[ SSM ]*/
@media (max-width: 480px) {
  .m-0-ssm {margin: 0;}
  .m-lr-0-ssm {margin-left: 0; margin-right: 0;}
  .m-lr-15-ssm {margin-left: 15px; margin-right: 15px;}
  .m-l-0-ssm {margin-left: 0;}
  .m-r-0-ssm {margin-right: 0;}
  .m-l-15-ssm {margin-left: 15px;}
  .m-r-15-ssm {margin-right: 15px;}

  .p-0-ssm {padding: 0;}
  .p-lr-0-ssm {padding-left: 0; padding-right: 0;}
  .p-lr-15-ssm {padding-left: 15px; padding-right: 15px;}
  .p-l-0-ssm {padding-left: 0;}
  .p-r-0-ssm{padding-right: 0;}
  .p-l-15-ssm {padding-left: 15px;}
  .p-r-15-ssm {padding-right: 15px;}

  .w-full-ssm {width: 100%;}
  /*---------------------------------------------*/

}
